メインコンテンツへスキップ
GET
/
cms
/
hubdb
/
2026-03
/
tables
/
draft
下書きテーブルを全て返す
curl --request GET \
  --url https://api.hubapi.com/cms/hubdb/2026-03/tables/draft \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "allowChildTables": true,
      "allowPublicApiAccess": true,
      "columnCount": 123,
      "columns": [
        {
          "deleted": true,
          "description": "<string>",
          "id": "<string>",
          "label": "<string>",
          "name": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "createdByUserId": 123,
          "foreignColumnId": 123,
          "foreignIds": [
            {
              "id": "<string>",
              "name": "<string>",
              "type": "<string>"
            }
          ],
          "foreignIdsById": {},
          "foreignIdsByName": {},
          "foreignTableId": 123,
          "optionCount": 123,
          "options": [
            {
              "createdAt": "2023-11-07T05:31:56Z",
              "id": "<string>",
              "label": "<string>",
              "name": "<string>",
              "order": 123,
              "type": "<string>",
              "updatedAt": "2023-11-07T05:31:56Z",
              "createdBy": {
                "email": "<string>",
                "firstName": "<string>",
                "id": "<string>",
                "lastName": "<string>"
              },
              "createdByUserId": 123,
              "updatedBy": {
                "email": "<string>",
                "firstName": "<string>",
                "id": "<string>",
                "lastName": "<string>"
              },
              "updatedByUserId": 123
            }
          ],
          "updatedAt": "2023-11-07T05:31:56Z",
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "updatedByUserId": 123,
          "width": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "deleted": true,
      "deletedAt": "2023-11-07T05:31:56Z",
      "dynamicMetaTags": {},
      "enableChildTablePages": true,
      "id": "<string>",
      "label": "<string>",
      "name": "<string>",
      "published": true,
      "publishedAt": "2023-11-07T05:31:56Z",
      "rowCount": 123,
      "updatedAt": "2023-11-07T05:31:56Z",
      "useForPages": true,
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      },
      "isOrderedManually": true,
      "updatedBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

after
string

最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。

archived
boolean

アーカイブ済みの結果のみを返すかどうか。

contentType
string
createdAfter
string<date-time>
createdAt
string<date-time>
createdBefore
string<date-time>
isGetLocalizedSchema
boolean
limit
integer<int32>

ページごとに表示する結果の最大数。

sort
string[]
updatedAfter
string<date-time>
updatedAt
string<date-time>
updatedBefore
string<date-time>

レスポンス

successful operation

results
object[]
必須
total
integer<int32>
必須
paging
object
Last modified on April 13, 2026